<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Automation Practice Page with JavaScript</title>
    <script>
        function displayInput() {
            var name = document.getElementById("name").value;
            var email = document.getElementById("email").value;
            var gender = document.getElementById("gender").value;
            var comments = document.getElementById("comments").value;
            var subscribe = document.getElementById("subscribe").checked ? "Subscribed" : "Not Subscribed";

            document.getElementById("display-name").textContent = "Name: " + name;
            document.getElementById("display-email").textContent = "Email: " + email;
            document.getElementById("display-gender").textContent = "Gender: " + gender;
            document.getElementById("display-comments").textContent = "Comments: " + comments;
            document.getElementById("display-subscribe").textContent = "Subscription: " + subscribe;
        }
    </script>
</head>
<body>
    <h1>Welcome to Automation Practice</h1>
    
    <h2>Form Elements</h2>
    <form action="/submit" method="post">
        <label for="name">Name:</label>
        <input type="text" id="name" name="name"><br><br>
        
        <label for="email">Email:</label>
        <input type="email" id="email" name="email"><br><br>
        
        <label for="gender">Gender:</label>
        <select id="gender" name="gender">
            <option value="male">Male</option>
            <option value="female">Female</option>
            <option value="other">Other</option>
        </select><br><br>
        
        <label for="comments">Comments:</label><br>
        <textarea id="comments" name="comments" rows="4" cols="50"></textarea><br><br>
        
        <label for="subscribe">Subscribe:</label>
        <input type="checkbox" id="subscribe" name="subscribe"><br><br>
        
        <input type="button" value="Display Input" onclick="displayInput()">
    </form>
    
    <h2>Displayed Input</h2>
    <p id="display-name"></p>
    <p id="display-email"></p>
    <p id="display-gender"></p>
    <p id="display-comments"></p>
    <p id="display-subscribe"></p>
</body>
</html>
